Bug Hunting Session
Bug 117804 - Saving interrupted by the "Save Document dialog" popup for a different document
Summary: Saving interrupted by the "Save Document dialog" popup for a different document
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.4 release
Hardware: All All
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: haveBacktrace
Depends on:
Blocks: Start-Center
  Show dependency treegraph
 
Reported: 2018-05-25 15:32 UTC by Telesto
Modified: 2019-06-21 02:53 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
GDB trace of crash with master (21.06 KB, text/plain)
2018-06-20 15:35 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-05-25 15:32:02 UTC
Description:
Saving interrupted by the "Save Document dialog" popup for a different document

Steps to Reproduce:
1. Download attachment 133999 [details]
2. Create a second copy
3. Open both documents
4. Make a change to both documents
5. Press Save in the first one
6. Close the second document (for example right click close in the task bar -> save Document dialog)nearly immediately after press saving (or using the sort cut)
7. Notice that the saving stops (CPU usage drops to 0%)
8. Notice that the saving will proceed after pressing "Don't save"
---
9. Close the saved document (grey cross)
10. Click on the non-saved file in the Start Center -> Crash

Actual Results:  
- Saving gets interrupted
- A crash

Expected Results:
No interrupting/ no crash


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.1.0.0.alpha1+
Build ID: b9ebabd675f916a0151ec3893a59131f3a8b2a05
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-05-21_23:26:04
Locale: nl-NL (nl_NL); Calc: CL


User-Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Buovjaga 2018-06-20 15:35:01 UTC
Created attachment 142964 [details]
GDB trace of crash with master

Repro.

Arch Linux 64-bit
Version: 6.2.0.0.alpha0+
Build ID: 0929a98acca8ec4d86caa97d3090a39f89f35f90
CPU threads: 8; OS: Linux 4.17; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group threaded
Built on June 20th 2018
Comment 2 Buovjaga 2018-06-20 15:40:05 UTC
Already crashes in 4.3.0. Looks like it is tied to the start center as it does not crash, if I open with "Open file".
Comment 3 QA Administrators 2019-06-21 02:53:23 UTC
Dear Telesto,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug